: Class DebugFilter

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.www.protocol.http
Class DebugFilter

    java.lang.Object
      |
      +--org.w3c.www.protocol.http.DebugFilter

public class DebugFilter
extends java.lang.Object
implements PropRequestFilter

A simple debug filter, that will dump traffic This filter will dump the outgoing request, and the incomming reply to the java process standard output.

Usefull for debugging !

Constructor Summary
`DebugFilter()`

Method Summary
`boolean` | `exceptionFilter(Request request, HttpException ex)` This filter doesn't handle exceptions.
`Reply` | `ingoingFilter(Request request)` The ingoing filter just dumps the request.
`void` | `initialize(HttpManager manager)` PropRequestFilter implementation - Initialize the filter.
`Reply` | `outgoingFilter(Request Request, Reply reply)` The outgoing filter just dumps the reply.
`void` | `sync()` We do not maintain any in-memory cached state.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DebugFilter

    public DebugFilter()

Method Detail

### exceptionFilter

    public boolean exceptionFilter(Request request,
                                   HttpException ex)

  This filter doesn't handle exceptions.
  Parameters:
    `request` - The request that triggered the exception.
    `ex` - The triggered exception.
  Returns:
    Always false.

### initialize

    public void initialize(HttpManager manager)

  PropRequestFilter implementation - Initialize the filter. Time to register ourself to the HttpManager.
  Specified by:
    initialize in interface PropRequestFilter
  Parameters:
    `manager` - The HTTP manager that is initializing ourself.

### ingoingFilter

    public Reply ingoingFilter(Request request)
                        throws HttpException

  The ingoing filter just dumps the request.
  Parameters:
    `request` - The request to be filtered.
  Throws:
    HttpException - is never thrown.

### outgoingFilter

    public Reply outgoingFilter(Request Request,
                                Reply reply)
                         throws HttpException

  The outgoing filter just dumps the reply.
  Parameters:
    `request` - The request that is filtered.
    `reply` - The corresponding reply.
  Throws:
    HttpException - is never thrown.

### sync

    public void sync()

  We do not maintain any in-memory cached state.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD